Subject: RE: WG Last Call: Redirect Reference Resources

From: Yaron Goland <[email-masked]>
Date: Tue, 1 Feb 2000 13:05:46 -0800

I would like to formally object to this last call. I apologize for the delay
in objecting but I am just now managing to dig my way out of my e-mail after
having to fly off to Israel for a family emergency.

A last call is an extremely time consuming process requiring members of this
WG, who are all volunteers, to turn their attentions to the careful review
of the specification and the production of thoughtful comments.

In this case, however, the very people who are best qualified to review the
redirect draft are the very same people who are currently in the process of
providing a review of the bind spec. By issuing a last call we are demanding
that individuals, who are for the most part already using what little spare
time they have to review the bind spec, also somehow find time to review the
redirect reference draft.

Given the large number of substantive issues that have already been
generated by the BIND spec, given that these issues have already generated
several significant alterations to the language of the BIND spec and given
that we are barely half way through these issues I believe it is
inappropriate now ask the members of this working group to split their focus
and provide  their full attention to the redirect draft.

As such I ask that this last call be postponed until we have finished going
through the issues on BIND.

			Yaron

> -----Original Message-----
> From: Jim Whitehead [mailto:[email-masked]]
> Sent: Tue, January 25, 2000 11:35 AM
> To: WebDAV WG
> Subject: WG Last Call: Redirect Reference Resources
> 
> 
> 
> *** WORKING GROUP LAST CALL FOR COMMENTS ***
> 
> WEBDAV REDIRECT REFERENCE RESOURCES SPECIFICATION
> 
> <draft-ietf-webdav-redirectref-protocol-02>
> http://www.ics.uci.edu/pub/ietf/webdav/collection/draft-ietf-w
> ebdav-redirect
> ref-protocol-02.txt
> 
> This is the final call for comments from the working group on 
> the WebDAV
> Redirect Reference Resources protocol specification,
> draft-ietf-webdav-binding-protocol-02. This last call period begins
> immediately, and ends February 22, 2000, at midnight, US 
> Pacific time.  This
> allows 4 weeks for review of this specification.
> 
> At the end of the last call period, a new draft will be 
> issued that resolves
> comments raised during the last call period.  Depending on 
> the scope of
> changes, there will follow either an immediate call for rough 
> consensus
> (very few changes), or a second last call period (significant 
> changes). Once
> the document represents the rough consensus of the working 
> group, I will
> submit this document to the Internet Engineering Steering 
> Group (IESG) for
> their approval. IESG review involves a (minimum) two week 
> public last call
> for comments review period. This IESG-initiated last call period is in
> addition to the working group last call period.
> 
> This document is intended to be a "Proposed Standard".  
> Quoting from RFC
> 2026, "The Internet Standards Process -- Revision 3":
> 
>    The entry-level maturity for the standards track is "Proposed
>    Standard".  A specific action by the IESG is required to move a
>    specification onto the standards track at the "Proposed Standard"
>    level.
> 
>    A Proposed Standard specification is generally stable, has resolved
>    known design choices, is believed to be well-understood, 
> has received
>    significant community review, and appears to enjoy enough community
>    interest to be considered valuable.  However, further experience
>    might result in a change or even retraction of the specification
>    before it advances.
> 
>    Usually, neither implementation nor operational experience is
>    required for the designation of a specification as a Proposed
>    Standard.  However, such experience is highly desirable, and will
>    usually represent a strong argument in favor of a Proposed Standard
>    designation.
> 
> Many details on the procedures used to develop an IETF 
> standard can be found
> in RFC 2026, available at:
> 
> ftp://ftp.ietf.org/rfc/rfc2026.txt
> 
> If there are any procedural questions or concerns, please do 
> not hesitate to
> contact me, or raise an issue on the list.
> 
> Notes:
> 
> 1) This specification is one of three that have been 
> developed in tandem,
> the other two being the WebDAV Bindings Protocol,
> <draft-ietf-webdav-binding-protocol-02>, which just finished 
> a working group
> last call for comments period on January 24, and the Ordered 
> Collections
> Protocol, draft-ietf-webdav-ordering-protocol-02.  The 
> Ordered Collections
> Protocol will begin a working group last call for comments period
> immediately following the end of this last call period, on 
> February 23,
> 2000.  If you wish, you may submit comments on the Ordered Collections
> protocol and the Redirect References protocol together during 
> the present
> last call period.
> 
> 2) If you've been waiting for a "stable" version of the 
> specification before
> performing a review, wait no longer.  This is it.  Assuming the
> specification receives only positive feedback, or mostly 
> minor comments, it
> will be submitted to the IESG for approval with no further WG 
> last call
> periods.  You should treat this as your last opportunity to 
> provide feedback
> on the specification.  Review the specification NOW.
> 
> 
> - Jim Whitehead
> Chair, IETF WEBDAV Working Group
>

---

From: Jim Whitehead <[email-masked]>
Date: Tue, 1 Feb 2000 14:03:59 -0800

Yaron,

First, thank you for sharing your concerns, and also for your diligence in
reviewing the Bindings Protocol specification.  It's clear to me that you
are concerned about whether you will be able to find the time to do a
similarly careful job reviewing the Redirect References protocol -- I feel
it would be a shame if you were not able to do so. As you might imagine,
when considering whether to hold the last call on the Redirect References
specifiation, I did give thought to whether this would overly burden the
working group given the ongoing discussion of the Binding Protocol. I give
my rationale for holding the last call below.

The purpose of the last call period is to elicit comments on the
specification in order to determine whether it is ready to be advanced to
the IESG for consideration as a Proposed Standard.  Since the current last
call period is four weeks long, and the Redirect References specification is
only 27 pages long, I felt this would provide adequate time for review, even
by harried IETF volunteers.  In contrast, let me note that the WebDAV
Distributed Authoring Protocol had an initial last call period of 3 weeks,
despite being longer than the Binding Protocol and Redirect References
Protocol combined. (Remember this?
http://lists.w3.org/Archives/Public/w3c-dist-auth/1998JanMar/0020.html)
Since we are currently one week into the four week last call period, it
appears there is plenty of time left for working group members to review the
specification and post comments.  To date, there has been one set of review
comments posted to the list by Joe Orton, which is right on track with the
number of comments received on the Bindings specification as of one (or even
two, if you want to discount the holidays) weeks into that document's last
call process.

However, your concerns are due not just to the last call of the Redirect
References protocol, but to the simultaneous discussions on the last call
comments for the Binding protocol, and the Redirect References last call.
To this I will note that during the last call on the Bindings Protocol,
there were also many other mailing list messages, the existence of which did
not harm the last call process. On the other hand, the WebDAV mailing list
is currently on track for its busiest quarter ever, with 241 messages
exchanged so far in 2000, likely to exceed the highest number ever recorded,
of 366 between July and September of last year.  So if you're having a hard
time keeping up with list email, it may be due to the record volume of mail.
:-)  Personally, I take this as a good sign that the working group is still
active, and capable of handling significant work tasks.

As Chair, my preference is to continue with the last call on the Redirect
References protocol. The process appears to be on-track, and, excepting your
one email, I have received no other evidence it might be broken.  Given your
concerns, and my desire to ensure you have the ability to perform a thorough
review of the specification, I might be convinced to extend the last call
period, but I would be hard pressed to extend it for more than a week.

If other members of the working group who are considering reviewing the
Redirect References specification also feel that they will not have
sufficient time to do so in the last call period, please let me know, or
post your concerns to the mailing list.

- Jim Whitehead
Chair, IETF WebDAV Working Group

Yaron Goland writes:
> I would like to formally object to this last call. I apologize
> for the delay in objecting but I am just now managing to dig
> my way out of my e-mail after having to fly off to Israel for
> a family emergency.
>
> A last call is an extremely time consuming process requiring
> members of this WG, who are all volunteers, to turn their
> attentions to the careful review of the specification and the
> production of thoughtful comments.
>
> In this case, however, the very people who are best qualified to
> review the redirect draft are the very same people who are
> currently in the process of providing a review of the bind spec.
> By issuing a last call we are demanding that individuals, who
> are for the most part already using what little spare time they
> have to review the bind spec, also somehow find time to review the
> inappropriate now ask the members of this working group to split
> their focus and provide their full attention to the redirect draft.
>
> As such I ask that this last call be postponed until we have
> finished going through the issues on BIND.